> ## Documentation Index
> Fetch the complete documentation index at: https://docs.obvlo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v2orgs listing search

> Search for listings matching criteria. Returns matching listings with localized content.



## OpenAPI

````yaml /api-reference/openapi-stable.json get /v2/orgs/{orgId}/listing-search
openapi: 3.0.3
info:
  title: Obvlo Content Engine
  description: Obvlo Content Engine API
  version: 4.0.0
servers:
  - url: https://api.obvlo.com
security: []
paths:
  /v2/orgs/{orgId}/listing-search:
    get:
      tags:
        - V2 Multilingual
      description: >-
        Search for listings matching criteria. Returns matching listings with
        localized content.
      operationId: v2SearchListings
      parameters:
        - name: orgId
          in: path
          required: true
          description: Organization Account Number
          schema:
            type: string
        - name: profileId
          in: query
          required: false
          description: Unique profile identifier
          schema:
            type: string
        - name: userCategory
          in: query
          required: false
          description: >-
            Adding a user category will only return guides that match the
            category. Possible values: business, family, friends, solo, or
            couples
          schema:
            type: string
        - name: tripType
          in: query
          required: false
          description: >-
            Adding a trip type will rank guides based on trip type suitability.
            Possible values: business, pleasure, or both. Default: both
          schema:
            type: string
        - name: userInterests
          in: query
          required: false
          description: >-
            Comma-separated list of user interests to rank results by weighted
            match. Available values can be retrieved from the
            /getPersonalizationOptions endpoint.
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page index used to get next page of responses
          schema:
            type: integer
        - name: hitsPerPage
          in: query
          required: false
          description: Hits per page, maximum 20
          schema:
            type: integer
        - name: searchQuery
          in: query
          required: false
          description: A text query containing a name and optionally a location
          schema:
            type: string
        - name: radius
          in: query
          required: false
          description: Radius in meters from center of search
          schema:
            type: number
        - name: latlng
          in: query
          required: false
          description: >-
            Latitude and Longitude as the center of search, comma separated. Ex:
            55.953251,-3.188267
          schema:
            type: string
        - name: rankBy
          in: query
          required: false
          description: 'Ranking strategy. One of: ''distance'', ''relevance'', ''score'''
          schema:
            type: string
        - name: activityTags
          in: query
          required: false
          description: Comma-separated list of activity tags to filter listings
          schema:
            type: string
        - name: lang
          in: query
          required: false
          description: >-
            BCP-47 language code (e.g. en-GB). When provided, localizable fields
            are returned as a single string instead of a language map.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        activityTags:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                            - type: array
                              items:
                                type: string
                        additionalTextAttributes:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: object
                                properties:
                                  photos:
                                    type: string
                                  duration:
                                    type: string
                                  bestTimeToVisit:
                                    type: string
                                  crowdLevels:
                                    type: string
                                  gettingThere:
                                    type: string
                                additionalProperties: false
                            - type: object
                              properties:
                                photos:
                                  type: string
                                duration:
                                  type: string
                                bestTimeToVisit:
                                  type: string
                                crowdLevels:
                                  type: string
                                gettingThere:
                                  type: string
                              additionalProperties: false
                        address:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        category:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        contentType:
                          type: string
                        currencyCode:
                          type: string
                        deliveryApps:
                          type: array
                          items:
                            type: object
                            properties:
                              url:
                                type: string
                              type:
                                type: string
                            required:
                              - url
                              - type
                            additionalProperties: false
                        embeds:
                          type: array
                          items:
                            type: object
                            properties:
                              code:
                                type: string
                              type:
                                type: string
                              provider:
                                type: string
                            required:
                              - code
                              - type
                              - provider
                            additionalProperties: false
                        featured:
                          type: boolean
                        geoLocation:
                          type: array
                          items:
                            type: number
                          minItems: 2
                          maxItems: 2
                        googleId:
                          type: string
                        googleMapsUrl:
                          type: string
                        googleRating:
                          type: number
                        guideIds:
                          type: array
                          items:
                            type: string
                        hostIds:
                          type: array
                          items:
                            type: string
                        id:
                          type: string
                        integratedCategories:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    category_id:
                                      type: string
                                    full_label:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - category_id
                                    - full_label
                                  additionalProperties: false
                            - type: array
                              items:
                                type: object
                                properties:
                                  category_id:
                                    type: string
                                  full_label:
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - category_id
                                  - full_label
                                additionalProperties: false
                        keywords:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                            - type: array
                              items:
                                type: string
                        languageCodes:
                          type: array
                          items:
                            type: string
                        name:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        neighborhood:
                          type: string
                        openingHours:
                          type: object
                          properties:
                            isUnavailable:
                              type: boolean
                            nextCloseTime:
                              type: string
                            openNow:
                              type: boolean
                            weekday_text:
                              type: array
                              items:
                                type: string
                            periods:
                              type: array
                              items:
                                type: object
                                properties:
                                  open:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                      time:
                                        type: string
                                      hours:
                                        type: number
                                      minutes:
                                        type: number
                                      hour:
                                        type: number
                                      minute:
                                        type: number
                                    required:
                                      - day
                                    additionalProperties: false
                                  close:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                      time:
                                        type: string
                                      hours:
                                        type: number
                                      minutes:
                                        type: number
                                      hour:
                                        type: number
                                      minute:
                                        type: number
                                    required:
                                      - day
                                    additionalProperties: false
                                    nullable: true
                                required:
                                  - open
                                additionalProperties: false
                          additionalProperties: false
                        phoneNumber:
                          type: string
                        photos:
                          type: array
                          items:
                            type: object
                            properties:
                              attributions:
                                type: array
                                items:
                                  type: string
                              category:
                                type: string
                              id:
                                type: string
                              images:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    size:
                                      type: string
                                    url:
                                      type: string
                                  required:
                                    - size
                                    - url
                                  additionalProperties: false
                              keywords:
                                type: array
                                items:
                                  type: string
                              isGenerated:
                                type: boolean
                              genDescription:
                                type: string
                              license:
                                type: string
                              isLicensed:
                                type: boolean
                            required:
                              - attributions
                              - category
                              - id
                              - images
                              - keywords
                            additionalProperties: false
                        planVisit:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        preferences:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: object
                                properties:
                                  timeOfDay:
                                    type: array
                                    items:
                                      type: string
                                  timeOfYear:
                                    type: array
                                    items:
                                      type: string
                                  tripType:
                                    type: array
                                    items:
                                      type: string
                                  userCategories:
                                    type: array
                                    items:
                                      type: string
                                  userInterests:
                                    type: array
                                    items:
                                      type: string
                                  weatherType:
                                    type: array
                                    items:
                                      type: string
                                additionalProperties: false
                            - type: object
                              properties:
                                timeOfDay:
                                  type: array
                                  items:
                                    type: string
                                timeOfYear:
                                  type: array
                                  items:
                                    type: string
                                tripType:
                                  type: array
                                  items:
                                    type: string
                                userCategories:
                                  type: array
                                  items:
                                    type: string
                                userInterests:
                                  type: array
                                  items:
                                    type: string
                                weatherType:
                                  type: array
                                  items:
                                    type: string
                              additionalProperties: false
                        priceLevel:
                          type: number
                        priceLevelText:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        priority:
                          type: number
                        score:
                          type: number
                        searchId:
                          type: string
                        searchTerms:
                          type: array
                          items:
                            type: string
                        serviceTypes:
                          type: array
                          items:
                            type: string
                        socialMedia:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              url:
                                type: string
                              icon:
                                type: string
                              target:
                                type: string
                            required:
                              - name
                              - url
                              - icon
                            additionalProperties: false
                        status:
                          type: string
                        summary:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        tableBooking:
                          type: object
                          properties:
                            url:
                              type: string
                            type:
                              type: string
                          required:
                            - url
                            - type
                          additionalProperties: false
                          nullable: true
                        tagline:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        tripAdvisorRating:
                          type: number
                        tripAdvisorUrl:
                          type: string
                        websiteUrl:
                          type: string
                          nullable: true
                        whatToExpect:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        geoDistance:
                          type: number
                        additionalData:
                          anyOf:
                            - type: object
                              properties:
                                dateTimestamp:
                                  type: number
                                date:
                                  type: object
                                  properties:
                                    start_date:
                                      type: string
                                    when:
                                      type: string
                                  required:
                                    - start_date
                                    - when
                                  additionalProperties: false
                                venue:
                                  type: object
                                  properties:
                                    link:
                                      type: string
                                    name:
                                      type: string
                                    reviews:
                                      type: number
                                  required:
                                    - link
                                    - name
                                    - reviews
                                  additionalProperties: false
                                ticket_info:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      link:
                                        type: string
                                      link_type:
                                        type: string
                                      source:
                                        type: string
                                    required:
                                      - link
                                      - link_type
                                      - source
                                    additionalProperties: false
                              required:
                                - dateTimestamp
                                - date
                                - venue
                                - ticket_info
                              additionalProperties: false
                            - type: object
                              properties:
                                vendor:
                                  type: object
                                  properties:
                                    vendorId:
                                      type: number
                                    vendorName:
                                      type: string
                                    vendorUniqueueId:
                                      type: number
                                    vendorIcon:
                                      type: string
                                  required:
                                    - vendorId
                                    - vendorName
                                    - vendorUniqueueId
                                  additionalProperties: false
                              required:
                                - vendor
                              additionalProperties: false
                      required:
                        - address
                        - contentType
                        - featured
                        - geoLocation
                        - guideIds
                        - hostIds
                        - id
                        - name
                        - photos
                        - score
                        - searchId
                        - status
                        - summary
                      additionalProperties: false
                  total:
                    type: number
                  pages:
                    type: number
                required:
                  - results
                  - total
                  - pages
                additionalProperties: false
        '400':
          description: No matches
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: key
      in: query

````